@import '../config';

$width: 3.5em;
$radius: 0.5em;

.navigation {
    position: absolute;
    top: 50%;
    left: 1em;
    transform: translate(0, -50%);

    border-radius: $radius;
    border: 1px solid hsl(0, 0%, 50%);
    background: hsl(0, 0%, 95%);
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;

    display: flex;
    flex-direction: column;

    img {
        width: $width;
        border-radius: calc(#{$radius} - 1px) calc(#{$radius} - 1px) 0 0;
    }

    div {
        height: $width;
        display: flex;
        justify-content: center;
        align-items: center;
        
        &.active {
            color: $accent;
        }

        &:hover {
            background: hsl(0, 0%, 85%);

            &:first-child {
                border-radius: calc(#{$radius} - 1px) 0 0 calc(#{$radius} - 1px);
            }
            &:last-child {
                border-radius: 0 calc(#{$radius} - 1px) calc(#{$radius} - 1px) 0;
            }
        }
    }
}